develooper Front page | perl.perl5.porters | Postings from September 2013

Re: [perl #119873] Bleadperl v5.19.3-583-g80d2c56 breaks WSNYDER/IPC-Locker-1.492.tar.gz

Thread Previous | Thread Next
From:
Andreas Koenig
Date:
September 18, 2013 09:55
Subject:
Re: [perl #119873] Bleadperl v5.19.3-583-g80d2c56 breaks WSNYDER/IPC-Locker-1.492.tar.gz
Message ID:
87y56uihed.fsf@k85.linux.bogus
Steve Hay <Steve.Hay@verosoftware.com> writes:

> I'm confused by this report (and the three cpantesters reports listed
> above) because the offending commit (80d2c56d79) only changes anything
> when running on MSWin32, but all these reports are from linux.

Precendence of the ternary:

% perl -MO=Deparse,-p
$^O eq 'MSWin32' &&$! == ($] < 5.019004) ? 10022 : Errno::EINVAL
^D
((($^O eq 'MSWin32') && ($! == ($] < 5.019004))) ? '???' : '???');
- syntax OK


-- 
andreas

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About